Vamp Namespace Reference

## Namespaces

| HostExt

## Classes

class | FFT
| A simple FFT implementation provided for convenience of plugin authors. More...
class | Plugin
| Vamp::Plugin is a base class for plugin instance classes that provide feature extraction from audio or related data. More...
class | PluginAdapter
| PluginAdapter turns a PluginAdapterBase into a specific wrapper for a particular plugin implementation. More...
class | PluginAdapterBase
| PluginAdapter and PluginAdapterBase provide a wrapper class that a plugin library can use to make its C++ Vamp::Plugin objects available through the Vamp C API. More...
class | PluginBase
| A base class for plugins with optional configurable parameters, programs, etc. More...
class | PluginHostAdapter
| PluginHostAdapter is a wrapper class that a Vamp host can use to make the C-language VampPluginDescriptor object appear as a C++ Vamp::Plugin object. More...
class | RealTime
| RealTime represents time values to nanosecond precision with accurate arithmetic and frame-rate conversion functions. More...

## Functions

std::ostream & | operator<< (std::ostream &out, const RealTime &rt)

## Function Documentation

std::ostream& Vamp::operator<< | ( | std::ostream & | out,
|  | const RealTime & | rt
| ) |  |